<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="productVariantGroup">
            <h2><span>Product Variant Group</span> {{ productVariantGroup.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Shop Id</span></dt>
                <dd>
                    <span>{{ productVariantGroup.shopId }}</span>
                </dd>
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ productVariantGroup.name }}</span>
                </dd>
                <dt><span>Type</span></dt>
                <dd>
                    <span>{{ productVariantGroup.type }}</span>
                </dd>
                <dt><span>Images</span></dt>
                <dd>
                    <span>{{ productVariantGroup.images }}</span>
                </dd>
                <dt><span>Active</span></dt>
                <dd>
                    <span>{{ productVariantGroup.active }}</span>
                </dd>
                <dt><span>Product</span></dt>
                <dd>
                    <div *ngIf="productVariantGroup.product">
                        <a [routerLink]="['/product', productVariantGroup.product?.id, 'view']">{{ productVariantGroup.product?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/product-variant-group', productVariantGroup.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
